GET api/PatientAllergies?externalId={externalId}
Gets information about a patient allergy in the Eye Reach Patients list.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| externalId |
Unique ID of the patient allergy on integrating system. |
string |
Required |
Body Parameters
None.
Response Information
Resource Description
PatientAllergyModel| Name | Description | Type | Additional information |
|---|---|---|---|
| PatientExternalId |
ID of the patient in the integrating system (Required). |
string |
None. |
| AllergyExternalId |
ID of the allergy in the integrating system. |
string |
None. |
| AllergyName |
Name of the allergy. |
string |
None. |
| AllergySeverityExternalId |
ID of the allergy severity in the integrating system. |
string |
None. |
| AllergySeverityName |
Name of the allergy severity. |
string |
None. |
| AllergyReactionExternalId |
ID of the allergy reaction in the integrating system. |
string |
None. |
| AllergyReactionName |
Name of the allergy reaction. |
string |
None. |
| StartDate |
Start date of the patient allergy. |
date |
None. |
| Notes |
Notes of the patient allergy. |
string |
None. |
| PortalCreated |
Portal created date of the patient allergy. |
date |
None. |
| Active |
Indicates whether the patient allergy is active or not. |
boolean |
None. |
| Id |
Unique ID of the model in the portal (Read only). |
string |
None. |
| ExternalId |
Unique ID of the model in the integrating system (Required). |
string |
None. |
Response Formats
application/json, text/json
{
"patientExternalId": "sample string 1",
"allergyExternalId": "sample string 2",
"allergyName": "sample string 3",
"allergySeverityExternalId": "sample string 4",
"allergySeverityName": "sample string 5",
"allergyReactionExternalId": "sample string 6",
"allergyReactionName": "sample string 7",
"startDate": "2026-05-29T16:59:03.1869237+00:00",
"notes": "sample string 8",
"portalCreated": "2026-05-29T16:59:03.1869237+00:00",
"active": true,
"id": "sample string 11",
"externalId": "sample string 12"
}
application/xml, text/xml
<PatientAllergyModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.AllergiesMaster.PatientAllergies"> <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 12</ExternalId> <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 11</Id> <Active>true</Active> <AllergyExternalId>sample string 2</AllergyExternalId> <AllergyName>sample string 3</AllergyName> <AllergyReactionExternalId>sample string 6</AllergyReactionExternalId> <AllergyReactionName>sample string 7</AllergyReactionName> <AllergySeverityExternalId>sample string 4</AllergySeverityExternalId> <AllergySeverityName>sample string 5</AllergySeverityName> <Notes>sample string 8</Notes> <PatientExternalId>sample string 1</PatientExternalId> <PortalCreated>2026-05-29T16:59:03.1869237+00:00</PortalCreated> <StartDate>2026-05-29T16:59:03.1869237+00:00</StartDate> </PatientAllergyModel>